at.chipkarte.client.fus.soap

## Class BKADaten

- Object
- - at.chipkarte.client.fus.soap.BKADaten

-     public class BKADaten
      extends Object

  Dient der Ein- und Ausgabe der Formular spezifischen Daten für den Formulartyp BKA.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKADaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BehandelnderArzt[]` | `getBehandelndeAerzte()` Angaben zum Unternehmen/Betrieb/Dienststelle: Behandelnde Ärzte beziehungsweise Einrichtungen.
    `String` | `getBehandelndeAerzteAnmerkungen()` Angaben zum Unternehmen/Betrieb/Dienststelle: Anmerkungen zu den Behandelnden Ärzten.
    `String` | `getBeschaeftigungAusgeuebteTaetigkeit()` Angaben zur Beschäftigung: Ausgeübte Tätigkeit.
    `String` | `getBeschaeftigungsart()` Angaben zur Beschäftigung: Beschäftigungsart.
    `String` | `getBeschaeftigungSonstige()` Angaben zur Beschäftigung: Sonstige (andere Beschäftigung).
    `String` | `getDienststaetteGleichUnternehmen()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte gleich wie Unternehmen.
    `String` | `getDienststaetteHausnummer()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Hausnummer.
    `String` | `getDienststaetteName()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Name.
    `String` | `getDienststaetteOrt()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Ort.
    `String` | `getDienststaettePlz()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte PLZ.
    `String` | `getDienststaetteStaat()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Staat nach ISO Alpha 3 Kürzel.
    `String` | `getDienststaetteStrasse()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Straße.
    `String` | `getDienststaetteTuer()` Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Tür.
    `String` | `getErkranktePersonEMail()` Angaben zur erkrankten Person: E-Mail.
    `String` | `getErkranktePersonFamilienname()` Angaben zur erkrankten Person: Familienname.
    `String` | `getErkranktePersonGeburtsdatum()` Angaben zur erkrankten Person: Geburtsdatum.
    `String` | `getErkranktePersonGeschlecht()` Angaben zur erkrankten Person: Geschlecht.
    `String` | `getErkranktePersonHausnummer()` Angaben zur erkrankten Person: Hausnummer.
    `String` | `getErkranktePersonOrt()` Angaben zur erkrankten Person: Ort.
    `String` | `getErkranktePersonPlz()` Angaben zur erkrankten Person: PLZ.
    `String` | `getErkranktePersonStaat()` Angaben zur erkrankten Person: Staat nach ISO Alpha 3 Kürzel.
    `String` | `getErkranktePersonStrasse()` Angaben zur erkrankten Person: Straße.
    `String` | `getErkranktePersonTelefonnummer()` Angaben zur erkrankten Person: Telefonnummer.
    `String` | `getErkranktePersonTuer()` Angaben zur erkrankten Person: Tür.
    `String` | `getErkranktePersonVorname()` Angaben zur erkrankten Person: Vorname.
    `String` | `getHonorarIban()` Honorar für Erstattung der Meldung: IBAN.
    `String` | `getHonorarKontoinhaber()` Honorar für Erstattung der Meldung: Kontoinhaber.
    `String` | `getMeldungsErstellungErstellerHausnummer()` Angabe zur Erstellung der Meldung: Ersteller Hausnummer.
    `String` | `getMeldungsErstellungErstellerOrt()` Angabe zur Erstellung der Meldung: Ersteller Ort.
    `String` | `getMeldungsErstellungErstellerPlz()` Angabe zur Erstellung der Meldung: Ersteller PLZ.
    `String` | `getMeldungsErstellungErstellerStaat()` Angabe zur Erstellung der Meldung: Ersteller Staat nach ISO Alpha 3 Kürzel.
    `String` | `getMeldungsErstellungErstellerStrasse()` Angabe zur Erstellung der Meldung: Ersteller Straße.
    `String` | `getMeldungsErstellungErstellerTuer()` Angabe zur Erstellung der Meldung: Ersteller Tür.
    `String` | `getMeldungsErstellungNameMeldenderArzt()` Angabe zur Erstellung der Meldung: Name meldender Arzt.
    `String` | `getMeldungsErstellungVersehrteInformiert()` Angabe zur Erstellung der Meldung: Der Versehrte wurde über die Meldung informiert.
    `String` | `getSvNummerOhneEcsBezug()` Angaben zur erkrankten Person: Sv-Nummer des Patienten.
    `String` | `getUnternehmenArt()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Art.
    `String` | `getUnternehmenHausnummer()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Hausnummer.
    `String` | `getUnternehmenName()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Name.
    `String` | `getUnternehmenOrt()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Ort.
    `String` | `getUnternehmenPlz()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen PLZ.
    `String` | `getUnternehmenStaat()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Staat nach ISO Alpha 3 Kürzel.
    `String` | `getUnternehmenStrasse()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Straße.
    `String` | `getUnternehmenTuer()` Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Tür.
    `String` | `getVermuteteBkBeginnErkrankung()` Angaben zur vermuteten Berufskrankheit: Beginn Erkrankung.
    `String` | `getVermuteteBkBerufskrankheit()` Angaben zur vermuteten Berufskrankheit: Berufskrankheit.
    `String` | `getVermuteteBkBeschreibungSonstige()` Angaben zur vermuteten Berufskrankheit: Beschreibung Sonstige.
    `String` | `getVermuteteBkBeschreibungUrsache()` Angaben zur vermuteten Berufskrankheit: Beschreibung Ursache.
    `String` | `getVermuteteBkDauerTaetigkeit()` Angaben zur vermuteten Berufskrankheit: Dauer Tätigkeit.
    `String` | `getVermuteteBkSubjektiveBeschwerden()` Angaben zur vermuteten Berufskrankheit: Subjektive Beschwerden.
    `String` | `getVermuteteBkVermuteteEinwirkungen()` Angaben zur vermuteten Berufskrankheit: Vermutete Einwirkungen.
    `String` | `getVermuteteBkVorliegendeBefunde()` Angaben zur vermuteten Berufskrankheit: Vorliegende Befunde.
    `String` | `getZustaendigerUVT()` UV-Träger.
    `void` | `setBehandelndeAerzte(BehandelnderArzt[] behandelndeAerzte)`
    `void` | `setBehandelndeAerzteAnmerkungen(String behandelndeAerzteAnmerkungen)`
    `void` | `setBeschaeftigungAusgeuebteTaetigkeit(String beschaeftigungAusgeuebteTaetigkeit)`
    `void` | `setBeschaeftigungsart(String beschaeftigungsart)`
    `void` | `setBeschaeftigungSonstige(String beschaeftigungSonstige)`
    `void` | `setDienststaetteGleichUnternehmen(String dienststaetteGleichUnternehmen)`
    `void` | `setDienststaetteHausnummer(String dienststaetteHausnummer)`
    `void` | `setDienststaetteName(String dienststaetteName)`
    `void` | `setDienststaetteOrt(String dienststaetteOrt)`
    `void` | `setDienststaettePlz(String dienststaettePlz)`
    `void` | `setDienststaetteStaat(String dienststaetteStaat)`
    `void` | `setDienststaetteStrasse(String dienststaetteStrasse)`
    `void` | `setDienststaetteTuer(String dienststaetteTuer)`
    `void` | `setErkranktePersonEMail(String erkranktePersonEMail)`
    `void` | `setErkranktePersonFamilienname(String erkranktePersonFamilienname)`
    `void` | `setErkranktePersonGeburtsdatum(String erkranktePersonGeburtsdatum)`
    `void` | `setErkranktePersonGeschlecht(String erkranktePersonGeschlecht)`
    `void` | `setErkranktePersonHausnummer(String erkranktePersonHausnummer)`
    `void` | `setErkranktePersonOrt(String erkranktePersonOrt)`
    `void` | `setErkranktePersonPlz(String erkranktePersonPlz)`
    `void` | `setErkranktePersonStaat(String erkranktePersonStaat)`
    `void` | `setErkranktePersonStrasse(String erkranktePersonStrasse)`
    `void` | `setErkranktePersonTelefonnummer(String erkranktePersonTelefonnummer)`
    `void` | `setErkranktePersonTuer(String erkranktePersonTuer)`
    `void` | `setErkranktePersonVorname(String erkranktePersonVorname)`
    `void` | `setHonorarIban(String honorarIban)`
    `void` | `setHonorarKontoinhaber(String honorarKontoinhaber)`
    `void` | `setMeldungsErstellungErstellerHausnummer(String meldungsErstellungErstellerHausnummer)`
    `void` | `setMeldungsErstellungErstellerOrt(String meldungsErstellungErstellerOrt)`
    `void` | `setMeldungsErstellungErstellerPlz(String meldungsErstellungErstellerPlz)`
    `void` | `setMeldungsErstellungErstellerStaat(String meldungsErstellungErstellerStaat)`
    `void` | `setMeldungsErstellungErstellerStrasse(String meldungsErstellungErstellerStrasse)`
    `void` | `setMeldungsErstellungErstellerTuer(String meldungsErstellungErstellerTuer)`
    `void` | `setMeldungsErstellungNameMeldenderArzt(String meldungsErstellungNameMeldenderArzt)`
    `void` | `setMeldungsErstellungVersehrteInformiert(String meldungsErstellungVersehrteInformiert)`
    `void` | `setSvNummerOhneEcsBezug(String svNummerOhneEcsBezug)`
    `void` | `setUnternehmenArt(String unternehmenArt)`
    `void` | `setUnternehmenHausnummer(String unternehmenHausnummer)`
    `void` | `setUnternehmenName(String unternehmenName)`
    `void` | `setUnternehmenOrt(String unternehmenOrt)`
    `void` | `setUnternehmenPlz(String unternehmenPlz)`
    `void` | `setUnternehmenStaat(String unternehmenStaat)`
    `void` | `setUnternehmenStrasse(String unternehmenStrasse)`
    `void` | `setUnternehmenTuer(String unternehmenTuer)`
    `void` | `setVermuteteBkBeginnErkrankung(String vermuteteBkBeginnErkrankung)`
    `void` | `setVermuteteBkBerufskrankheit(String vermuteteBkBerufskrankheit)`
    `void` | `setVermuteteBkBeschreibungSonstige(String vermuteteBkBeschreibungSonstige)`
    `void` | `setVermuteteBkBeschreibungUrsache(String vermuteteBkBeschreibungUrsache)`
    `void` | `setVermuteteBkDauerTaetigkeit(String vermuteteBkDauerTaetigkeit)`
    `void` | `setVermuteteBkSubjektiveBeschwerden(String vermuteteBkSubjektiveBeschwerden)`
    `void` | `setVermuteteBkVermuteteEinwirkungen(String vermuteteBkVermuteteEinwirkungen)`
    `void` | `setVermuteteBkVorliegendeBefunde(String vermuteteBkVorliegendeBefunde)`
    `void` | `setZustaendigerUVT(String zustaendigerUVT)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKADaten

          public BKADaten()

  - ### Method Detail

    - #### getZustaendigerUVT

          public String getZustaendigerUVT()

      UV-Träger.
      Mögliche Werte siehe `getUVTs` sowie zusätzlich der Wert "00" für "unbekannt".
      Angabe: Muss.
      Returns:
        Kvt.

    - #### setZustaendigerUVT

          public void setZustaendigerUVT(String zustaendigerUVT)

    - #### getSvNummerOhneEcsBezug

          public String getSvNummerOhneEcsBezug()

      Angaben zur erkrankten Person: Sv-Nummer des Patienten.
      Angabe: Bedingt. Für die Angabe gilt: Es muss entweder
      - eine im eCS bekannte SV-Person mittels SV-Nummer in ``bkErstformular`` oder mittels eines mit e-card erstellten `cardToken` angegeben werden oder
      - eine im eCS unbekannte Person mittels SV-Nummer in ``bka`/`bkm`` erfasst werden.
      Wird eine im eCS bekannte SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Wird eine im eCS unbekannte SV-Nummer in bka/bkm angegeben, ist die Angabe eines CardTokens bzw. einer SV-Nummer in `bkErstformular` nicht zulässig.
      Format: 10-stellig
      Returns:
        SvNummerOhneEcsBezug.

    - #### setSvNummerOhneEcsBezug

          public void setSvNummerOhneEcsBezug(String svNummerOhneEcsBezug)

    - #### getErkranktePersonGeburtsdatum

          public String getErkranktePersonGeburtsdatum()

      Angaben zur erkrankten Person: Geburtsdatum.
      Angabe: Bedingt. Muss angegeben werden wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Geburtsdatum in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Geburtsdatum in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Format: TT.MM.JJJJ.
      Wertebereich: Darf nicht in der Zukunft liegen.
      Returns:
        ErkranktePersonGeburtsdatum.

    - #### setErkranktePersonGeburtsdatum

          public void setErkranktePersonGeburtsdatum(String erkranktePersonGeburtsdatum)

    - #### getErkranktePersonFamilienname

          public String getErkranktePersonFamilienname()

      Angaben zur erkrankten Person: Familienname.
      Angabe: Bedingt. Muss angegeben werden wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Nachname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Nachname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Format: 70-stellig
      Returns:
        ErkranktePersonFamilienname.

    - #### setErkranktePersonFamilienname

          public void setErkranktePersonFamilienname(String erkranktePersonFamilienname)

    - #### getErkranktePersonVorname

          public String getErkranktePersonVorname()

      Angaben zur erkrankten Person: Vorname.
      Angabe: Bedingt. Muss angegeben werden wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Vorname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Vorname in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Format: 70-stellig
      Returns:
        ErkranktePersonVorname.

    - #### setErkranktePersonVorname

          public void setErkranktePersonVorname(String erkranktePersonVorname)

    - #### getErkranktePersonGeschlecht

          public String getErkranktePersonGeschlecht()

      Angaben zur erkrankten Person: Geschlecht.
      Angabe: Bedingt. Muss angegeben werden wenn Sv-Nummer in `bkErstformular` nicht angegeben ist oder wenn Geschlecht in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer nicht belegt ist. Keine Angabe erlaubt, wenn Sv-Nummer in `bkErstformular` angegeben ist und Geschlecht in SvPatient von `bkFormularstammdatenErmitteln` für die angegebene Sv-Nummer belegt ist.
      Mögliche Werte siehe `Geschlechtscodes`. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Returns:
        ErkranktePersonGeschlecht.

    - #### setErkranktePersonGeschlecht

          public void setErkranktePersonGeschlecht(String erkranktePersonGeschlecht)

    - #### getErkranktePersonStrasse

          public String getErkranktePersonStrasse()

      Angaben zur erkrankten Person: Straße.
      Angabe: Muss.
      Format: 60-stellig
      Returns:
        ErkranktePersonStrasse.

    - #### setErkranktePersonStrasse

          public void setErkranktePersonStrasse(String erkranktePersonStrasse)

    - #### getErkranktePersonHausnummer

          public String getErkranktePersonHausnummer()

      Angaben zur erkrankten Person: Hausnummer.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        ErkranktePersonHausnummer.

    - #### setErkranktePersonHausnummer

          public void setErkranktePersonHausnummer(String erkranktePersonHausnummer)

    - #### getErkranktePersonTuer

          public String getErkranktePersonTuer()

      Angaben zur erkrankten Person: Tür.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        ErkranktePersonTuer.

    - #### setErkranktePersonTuer

          public void setErkranktePersonTuer(String erkranktePersonTuer)

    - #### getErkranktePersonPlz

          public String getErkranktePersonPlz()

      Angaben zur erkrankten Person: PLZ.
      Angabe: Muss.
      Format: 9-stellig
      Returns:
        ErkranktePersonPlz.

    - #### setErkranktePersonPlz

          public void setErkranktePersonPlz(String erkranktePersonPlz)

    - #### getErkranktePersonOrt

          public String getErkranktePersonOrt()

      Angaben zur erkrankten Person: Ort.
      Angabe: Muss.
      Format: 50-stellig
      Returns:
        ErkranktePersonOrt.

    - #### setErkranktePersonOrt

          public void setErkranktePersonOrt(String erkranktePersonOrt)

    - #### getErkranktePersonStaat

          public String getErkranktePersonStaat()

      Angaben zur erkrankten Person: Staat nach ISO Alpha 3 Kürzel.
      Angabe: Muss.
      Format: genau 3-stellig
      Returns:
        ErkranktePersonStaat.

    - #### setErkranktePersonStaat

          public void setErkranktePersonStaat(String erkranktePersonStaat)

    - #### getErkranktePersonTelefonnummer

          public String getErkranktePersonTelefonnummer()

      Angaben zur erkrankten Person: Telefonnummer.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        ErkranktePersonTelefonnummer.

    - #### setErkranktePersonTelefonnummer

          public void setErkranktePersonTelefonnummer(String erkranktePersonTelefonnummer)

    - #### getErkranktePersonEMail

          public String getErkranktePersonEMail()

      Angaben zur erkrankten Person: E-Mail.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        ErkranktePersonEMail.

    - #### setErkranktePersonEMail

          public void setErkranktePersonEMail(String erkranktePersonEMail)

    - #### getMeldungsErstellungVersehrteInformiert

          public String getMeldungsErstellungVersehrteInformiert()

      Angabe zur Erstellung der Meldung: Der Versehrte wurde über die Meldung informiert.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Muss.
      Returns:
        MeldungsErstellungVersehrteInformiert.

    - #### setMeldungsErstellungVersehrteInformiert

          public void setMeldungsErstellungVersehrteInformiert(String meldungsErstellungVersehrteInformiert)

    - #### getMeldungsErstellungNameMeldenderArzt

          public String getMeldungsErstellungNameMeldenderArzt()

      Angabe zur Erstellung der Meldung: Name meldender Arzt.
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        MeldungsErstellungNameMeldenderArzt.

    - #### setMeldungsErstellungNameMeldenderArzt

          public void setMeldungsErstellungNameMeldenderArzt(String meldungsErstellungNameMeldenderArzt)

    - #### getMeldungsErstellungErstellerStrasse

          public String getMeldungsErstellungErstellerStrasse()

      Angabe zur Erstellung der Meldung: Ersteller Straße.
      Angabe: Muss.
      Format: 60-stellig
      Returns:
        MeldungsErstellungErstellerStrasse.

    - #### setMeldungsErstellungErstellerStrasse

          public void setMeldungsErstellungErstellerStrasse(String meldungsErstellungErstellerStrasse)

    - #### getMeldungsErstellungErstellerHausnummer

          public String getMeldungsErstellungErstellerHausnummer()

      Angabe zur Erstellung der Meldung: Ersteller Hausnummer.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        MeldungsErstellungErstellerHausnummer.

    - #### setMeldungsErstellungErstellerHausnummer

          public void setMeldungsErstellungErstellerHausnummer(String meldungsErstellungErstellerHausnummer)

    - #### getMeldungsErstellungErstellerTuer

          public String getMeldungsErstellungErstellerTuer()

      Angabe zur Erstellung der Meldung: Ersteller Tür.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        MeldungsErstellungErstellerTuer.

    - #### setMeldungsErstellungErstellerTuer

          public void setMeldungsErstellungErstellerTuer(String meldungsErstellungErstellerTuer)

    - #### getMeldungsErstellungErstellerPlz

          public String getMeldungsErstellungErstellerPlz()

      Angabe zur Erstellung der Meldung: Ersteller PLZ.
      Angabe: Muss.
      Format: 9-stellig
      Returns:
        MeldungsErstellungErstellerPlz.

    - #### setMeldungsErstellungErstellerPlz

          public void setMeldungsErstellungErstellerPlz(String meldungsErstellungErstellerPlz)

    - #### getMeldungsErstellungErstellerOrt

          public String getMeldungsErstellungErstellerOrt()

      Angabe zur Erstellung der Meldung: Ersteller Ort.
      Angabe: Muss.
      Format: 50-stellig
      Returns:
        MeldungsErstellungErstellerOrt.

    - #### setMeldungsErstellungErstellerOrt

          public void setMeldungsErstellungErstellerOrt(String meldungsErstellungErstellerOrt)

    - #### getMeldungsErstellungErstellerStaat

          public String getMeldungsErstellungErstellerStaat()

      Angabe zur Erstellung der Meldung: Ersteller Staat nach ISO Alpha 3 Kürzel.
      Wird bei Eingabe ignoriert.
      Angabe: Muss.
      Format: genau 3-stellig
      Returns:
        MeldungsErstellungErstellerStaat.

    - #### setMeldungsErstellungErstellerStaat

          public void setMeldungsErstellungErstellerStaat(String meldungsErstellungErstellerStaat)

    - #### getHonorarKontoinhaber

          public String getHonorarKontoinhaber()

      Honorar für Erstattung der Meldung: Kontoinhaber.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        HonorarKontoinhaber.

    - #### setHonorarKontoinhaber

          public void setHonorarKontoinhaber(String honorarKontoinhaber)

    - #### getHonorarIban

          public String getHonorarIban()

      Honorar für Erstattung der Meldung: IBAN.
      Angabe: Bedingt. Muss angegeben werden, wenn der Kontoinhaber angegeben ist. Keine Angabe erlaubt, wenn Kontoinhaber nicht angegeben ist.
      Format: 34-stellig
      Wert: nur Großbuchstaben und Zahlen sowie Prüfziffer korrekt
      Returns:
        HonorarKontoinhaber.

    - #### setHonorarIban

          public void setHonorarIban(String honorarIban)

    - #### getVermuteteBkBerufskrankheit

          public String getVermuteteBkBerufskrankheit()

      Angaben zur vermuteten Berufskrankheit: Berufskrankheit.
      Mögliche Werte siehe `BerufskrankheitConstants`.
      Angabe: Muss.
      Returns:
        VermuteteBkBerufskrankheit.

    - #### setVermuteteBkBerufskrankheit

          public void setVermuteteBkBerufskrankheit(String vermuteteBkBerufskrankheit)

    - #### getVermuteteBkSubjektiveBeschwerden

          public String getVermuteteBkSubjektiveBeschwerden()

      Angaben zur vermuteten Berufskrankheit: Subjektive Beschwerden.
      Angabe: Muss.
      Format: 500-stellig
      Returns:
        VermuteteBkSubjektiveBeschwerden.

    - #### setVermuteteBkSubjektiveBeschwerden

          public void setVermuteteBkSubjektiveBeschwerden(String vermuteteBkSubjektiveBeschwerden)

    - #### getVermuteteBkBeginnErkrankung

          public String getVermuteteBkBeginnErkrankung()

      Angaben zur vermuteten Berufskrankheit: Beginn Erkrankung.
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        VermuteteBkBeginnErkrankung.

    - #### setVermuteteBkBeginnErkrankung

          public void setVermuteteBkBeginnErkrankung(String vermuteteBkBeginnErkrankung)

    - #### getVermuteteBkBeschreibungSonstige

          public String getVermuteteBkBeschreibungSonstige()

      Angaben zur vermuteten Berufskrankheit: Beschreibung Sonstige.
      Angabe: Kann.
      Format: 500-stellig
      Returns:
        VermuteteBkBeschreibungSonstige.

    - #### setVermuteteBkBeschreibungSonstige

          public void setVermuteteBkBeschreibungSonstige(String vermuteteBkBeschreibungSonstige)

    - #### getVermuteteBkBeschreibungUrsache

          public String getVermuteteBkBeschreibungUrsache()

      Angaben zur vermuteten Berufskrankheit: Beschreibung Ursache.
      Angabe: Muss.
      Format: 500-stellig
      Returns:
        VermuteteBkBeschreibungUrsache.

    - #### setVermuteteBkBeschreibungUrsache

          public void setVermuteteBkBeschreibungUrsache(String vermuteteBkBeschreibungUrsache)

    - #### getVermuteteBkDauerTaetigkeit

          public String getVermuteteBkDauerTaetigkeit()

      Angaben zur vermuteten Berufskrankheit: Dauer Tätigkeit.
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        VermuteteBkDauerTaetigkeit.

    - #### setVermuteteBkDauerTaetigkeit

          public void setVermuteteBkDauerTaetigkeit(String vermuteteBkDauerTaetigkeit)

    - #### getVermuteteBkVermuteteEinwirkungen

          public String getVermuteteBkVermuteteEinwirkungen()

      Angaben zur vermuteten Berufskrankheit: Vermutete Einwirkungen.
      Angabe: Muss.
      Format: 500-stellig
      Returns:
        VermuteteBkVermuteteEinwirkungen.

    - #### setVermuteteBkVermuteteEinwirkungen

          public void setVermuteteBkVermuteteEinwirkungen(String vermuteteBkVermuteteEinwirkungen)

    - #### getVermuteteBkVorliegendeBefunde

          public String getVermuteteBkVorliegendeBefunde()

      Angaben zur vermuteten Berufskrankheit: Vorliegende Befunde.
      Angabe: Kann.
      Format: 500-stellig
      Returns:
        VermuteteBkVorliegendeBefunde.

    - #### setVermuteteBkVorliegendeBefunde

          public void setVermuteteBkVorliegendeBefunde(String vermuteteBkVorliegendeBefunde)

    - #### getBeschaeftigungAusgeuebteTaetigkeit

          public String getBeschaeftigungAusgeuebteTaetigkeit()

      Angaben zur Beschäftigung: Ausgeübte Tätigkeit.
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        BeschaeftigungAusgeuebteTaetigkeit.

    - #### setBeschaeftigungAusgeuebteTaetigkeit

          public void setBeschaeftigungAusgeuebteTaetigkeit(String beschaeftigungAusgeuebteTaetigkeit)

    - #### getBeschaeftigungsart

          public String getBeschaeftigungsart()

      Angaben zur Beschäftigung: Beschäftigungsart.
      Mögliche Werte siehe `BeschaeftigungsartConstants`.
      Angabe: Muss.
      Returns:
        Beschaeftigungsart.

    - #### setBeschaeftigungsart

          public void setBeschaeftigungsart(String beschaeftigungsart)

    - #### getBeschaeftigungSonstige

          public String getBeschaeftigungSonstige()

      Angaben zur Beschäftigung: Sonstige (andere Beschäftigung).
      Angabe: Bedingt. Muss angegeben werden wenn Beschäftigungsart gleich 99 ist. Keine Angabe erlaubt, wenn Beschäftigungsart ungleich 99 ist.
      Format: 70-stellig
      Returns:
        BeschaeftigungSonstige.

    - #### setBeschaeftigungSonstige

          public void setBeschaeftigungSonstige(String beschaeftigungSonstige)

    - #### getUnternehmenName

          public String getUnternehmenName()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Name.
      Angabe: Muss.
      Format: 70-stellig
      Returns:
        UnternehmenName.

    - #### setUnternehmenName

          public void setUnternehmenName(String unternehmenName)

    - #### getUnternehmenStrasse

          public String getUnternehmenStrasse()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Straße.
      Angabe: Muss.
      Format: 60-stellig
      Returns:
        UnternehmenStrasse.

    - #### setUnternehmenStrasse

          public void setUnternehmenStrasse(String unternehmenStrasse)

    - #### getUnternehmenHausnummer

          public String getUnternehmenHausnummer()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Hausnummer.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        UnternehmenHausnummer.

    - #### setUnternehmenHausnummer

          public void setUnternehmenHausnummer(String unternehmenHausnummer)

    - #### getUnternehmenTuer

          public String getUnternehmenTuer()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Tür.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        UnternehmenTuer.

    - #### setUnternehmenTuer

          public void setUnternehmenTuer(String unternehmenTuer)

    - #### getUnternehmenPlz

          public String getUnternehmenPlz()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen PLZ.
      Angabe: Muss.
      Format: 9-stellig
      Returns:
        UnternehmenPlz.

    - #### setUnternehmenPlz

          public void setUnternehmenPlz(String unternehmenPlz)

    - #### getUnternehmenOrt

          public String getUnternehmenOrt()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Ort.
      Angabe: Muss.
      Format: 50-stellig
      Returns:
        UnternehmenOrt.

    - #### setUnternehmenOrt

          public void setUnternehmenOrt(String unternehmenOrt)

    - #### getUnternehmenStaat

          public String getUnternehmenStaat()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Staat nach ISO Alpha 3 Kürzel.
      Angabe: Muss.
      Format: genau 3-stellig
      Returns:
        UnternehmenStaat.

    - #### setUnternehmenStaat

          public void setUnternehmenStaat(String unternehmenStaat)

    - #### getUnternehmenArt

          public String getUnternehmenArt()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Unternehmen Art.
      Angabe: Kann.
      Format: 70-stellig
      Returns:
        UnternehmenArt.

    - #### setUnternehmenArt

          public void setUnternehmenArt(String unternehmenArt)

    - #### getDienststaetteGleichUnternehmen

          public String getDienststaetteGleichUnternehmen()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte gleich wie Unternehmen.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Muss.
      Returns:
        DienststaetteGleichUnternehmen.

    - #### setDienststaetteGleichUnternehmen

          public void setDienststaetteGleichUnternehmen(String dienststaetteGleichUnternehmen)

    - #### getDienststaetteName

          public String getDienststaetteName()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Name.
      Angabe: Bedingt. Muss angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: 70-stellig
      Returns:
        DienststaetteName.

    - #### setDienststaetteName

          public void setDienststaetteName(String dienststaetteName)

    - #### getDienststaetteStrasse

          public String getDienststaetteStrasse()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Straße.
      Angabe: Bedingt. Muss angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: 60-stellig
      Returns:
        DienststaetteStrasse.

    - #### setDienststaetteStrasse

          public void setDienststaetteStrasse(String dienststaetteStrasse)

    - #### getDienststaetteHausnummer

          public String getDienststaetteHausnummer()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Hausnummer.
      Angabe: Bedingt. Kann angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: 10-stellig
      Returns:
        DienststaetteHausnummer.

    - #### setDienststaetteHausnummer

          public void setDienststaetteHausnummer(String dienststaetteHausnummer)

    - #### getDienststaetteTuer

          public String getDienststaetteTuer()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Tür.
      Angabe: Bedingt. Kann angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: 10-stellig
      Returns:
        DienststaetteTuer.

    - #### setDienststaetteTuer

          public void setDienststaetteTuer(String dienststaetteTuer)

    - #### getDienststaettePlz

          public String getDienststaettePlz()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte PLZ.
      Angabe: Bedingt. Muss angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: 9-stellig
      Returns:
        DienststaettePlz.

    - #### setDienststaettePlz

          public void setDienststaettePlz(String dienststaettePlz)

    - #### getDienststaetteOrt

          public String getDienststaetteOrt()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Ort.
      Angabe: Bedingt. Muss angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: 50-stellig
      Returns:
        DienststaetteOrt.

    - #### setDienststaetteOrt

          public void setDienststaetteOrt(String dienststaetteOrt)

    - #### getDienststaetteStaat

          public String getDienststaetteStaat()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Dienststätte Staat nach ISO Alpha 3 Kürzel.
      Angabe: Bedingt. Muss angegeben werden wenn "Dienststätte gleich wie Unternehmen" gleich Nein ist. Keine Angabe erlaubt, wenn "Dienststätte gleich wie Unternehmen" gleich Ja ist.
      Format: genau 3-stellig
      Returns:
        DienststaetteStaat.

    - #### setDienststaetteStaat

          public void setDienststaetteStaat(String dienststaetteStaat)

    - #### getBehandelndeAerzte

          public BehandelnderArzt[] getBehandelndeAerzte()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Behandelnde Ärzte beziehungsweise Einrichtungen. Siehe `BehandelnderArzt`.
      Angabe: Muss. Es muss mindestens ein behandelnder Arzt bzw. Einrichtung angegeben werden. Es dürfen maximal 5 behandelnde Ärzte bzw. Einrichtungen angegeben werden.
      Returns:
        BehandelndeAerzte.

    - #### setBehandelndeAerzte

          public void setBehandelndeAerzte(BehandelnderArzt[] behandelndeAerzte)

    - #### getBehandelndeAerzteAnmerkungen

          public String getBehandelndeAerzteAnmerkungen()

      Angaben zum Unternehmen/Betrieb/Dienststelle: Anmerkungen zu den Behandelnden Ärzten.
      Angabe: Kann.
      Format: 500-stellig
      Returns:
        BehandelndeAerzteAnmerkungen.

    - #### setBehandelndeAerzteAnmerkungen

          public void setBehandelndeAerzteAnmerkungen(String behandelndeAerzteAnmerkungen)